body {
    /* font-family: "Outfit", sans-serif; */
    scroll-behavior: smooth;
    background-color: #eef2f5;
}

.umrah-list .package-card {
    border: 1px solid #e0e0e0;
    border-radius: 12px;
    background-color: #fff;
    overflow: hidden;
}

.umrah-list .package-card .package-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.umrah-list .package-card .package-body {
    padding: 20px;
}

.umrah-list .package-card .package-title {
    font-size: clamp(18px, 2vw, 20px);
}

.umrah-list .package-card .package-info i {
    color: #083c52;
}

.umrah-list .package-card .days-count {
    background-color: #effaff;
    width: fit-content;
}

.umrah-list .package-card .package-info {
    font-size: 14px;
    color: #333;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 6px;
}

.umrah-list .package-card .package-rating {
    background-color: #effaff;
    padding: 2px 8px;
    border-radius: 5px;
    font-size: 0.85rem;
    font-weight: 600;
    margin-left: 5px;
}

.umrah-list .package-card .package-rating i {
    font-size: 12px;
    color: #ff9500;
}

.umrah-list .package-card .price-text {
    font-size: 1rem;
    font-weight: 700;
    color: #212529;
}

.umrah-list .package-card .book-btn {
    background-color: #a72d2c;
    border: none;
    color: #fff;
    font-weight: 500;
    padding: 8px 30px;
    border-radius: 6px;
    transition: background 0.3s;
}

.umrah-list .package-card .book-btn:hover {
    background-color: #8b2322;
}

@media (max-width: 576px) {
    .umrah-list .package-card .package-img {
        height: 200px !important;
    }
}

@media (max-width: 991px) {
    .umrah-list .package-card .package-card {
        flex-direction: column;
    }

    .umrah-list .package-card .price-section {
        text-align: left;
        margin-top: 10px;
    }

    .umrah-list .package-card .package-body {
        padding: 20px 5px;
    }

    .umrah-list .package-img {
        height: 250px;
    }
}

.card h5 {
    width: 100% !important;
    cursor: pointer !important;
}
.shimmer-bg {
    background: #e2e2e2;
    background-image: linear-gradient(
        to right,
        #e2e2e2 0%,
        #f2f2f2 20%,
        #e2e2e2 40%,
        #e2e2e2 100%
    );
    background-repeat: no-repeat;
    background-size: 800px 100%;
    animation: shimmer 2s infinite linear;
}

@keyframes shimmer {
    0% {
        background-position: -468px 0;
    }
    100% {
        background-position: 468px 0;
    }
}

/* .image__container{
    height: 247px;
} */

.blade-h-box {
    position: relative;
    height: 176px;
    /* Adjust height as necessary */
    border-radius: 10px;
    overflow: hidden;
    transition: transform 0.5s ease;
    /* margin: 20px 0px; */
}
.blade-h-box::before {
    content: "";
    position: absolute;
    top: 0;
    left: 11px;
    width: 93%;
    height: 100%;
    background: linear-gradient(
        180deg,
        rgba(255, 255, 255, 0) 50%,
        #2b2625 100%
    );
    transition: transform 0.5s ease;
    transform: translateX(0);
}

.time-slot {
    text-align: center;

    border: 1px solid #dee2e6;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.3s ease;
    margin-bottom: 10px;
}
.time-slot:hover {
    border-color: #a72d2c;
    background-color: #f8f9fa;
}
.time-slot.selected {
    border-color: #a72d2c;
    background-color: #e9f5ff;
}
.time-slot .icon {
    font-size: 24px;

    color: #6c757d;
}
.time-slot.selected .icon {
    color: #a72d2c;
}
.time-slot .label {
    font-size: 13px;
    font-weight: 400;
    margin-bottom: 0.25rem;
}
.range-filter {
    padding: 1rem;
    border: 1px solid #dee2e6;
    border-radius: 8px;
    margin-bottom: 1rem;
}
.range-filter label {
    font-weight: 500;
}
.range-values {
    display: flex;
    justify-content: space-between;
    margin-top: 0.5rem;
}

/* Shimmer Effect CSS */
.shimmer {
    background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
    background-size: 200% 100%;
    animation: shimmer 1.5s infinite;
    border-radius: 4px;
}

@keyframes shimmer {
    0% {
        background-position: -200% 0;
    }
    100% {
        background-position: 200% 0;
    }
}

/* Adjust shimmer effect for specific elements */
.shimmer-img {
    width: 100%;
    height: 275px !important;
}

.shimmer-text {
    width: 100%;
    height: 20px;
    margin-bottom: 10px;
}

.shimmer-button {
    width: 70px;
    height: 30px;
}

.modal-fullscreen {
    width: 100vw;
    max-width: none;
    height: 98%;
    margin: 0;
}

/* Slider */
.wrapper {
    /* background: #fff; */
    border-radius: 10px;
    /* padding: 20px 25px 40px; */
    /* box-shadow: 0 12px 35px rgba(0, 0, 0, 0.1); */
}

.main-input {
    width: 100%;
    display: flex;
    margin: 0px 0 5px;
}
.age-input {
    width: 100%;
    display: flex;
    margin: 10px 0 10px;
}

.main-input .field {
    margin-right: 20px;
    display: flex;
    width: 100%;
    height: 30px;
    align-items: center;
}
.field:first-child {
    display: flex;
    justify-content: start;
}

.field {
    display: flex;
    justify-content: end;
    /* border:1px solid red; */
}
.field input {
    width: 40%;
    height: 50%;
    outline: none;
    font-size: 14px;
    margin-left: 12px;
    border-radius: 5px;
    text-align: center;
    border: 1px solid #999;
    -moz-appearance: textfield;
}
.max-number {
    width: 50% !important;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

.main-input .separator {
    width: 130px;
    display: flex;
    font-size: 19px;
    align-items: center;
    justify-content: center;
}

.slider {
    width: 90%;
    height: 5px;
    position: relative;
    /* background: #ddd; */
    border-radius: 5px;
}

.slider .progress {
    /* height: 100%; */

    height: 2px;
    left: 0%;
    right: 0%;
    position: absolute;
    border-radius: 5px;
    background: #2b2625;
}

.range-input {
    position: relative;
}

.range-input input {
    position: absolute;
    width: 90%;
    height: 0px;
    top: -5px;
    background: none;
    pointer-events: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

/* Updated Thumb Styles */
/*
/* Slider  */

.top-rated-star-ratings .fa-solid {
    font-size: 15px !important;
}

.pricing {
    font-size: 1.5rem;
    font-weight: 700;
}

.done__button {
    background-color: #A72D2C;
    color: #fff;
}
.done__button:active {
    background-color: #A72D2C;
    color: #fff;
}
.done__button:focus {
    background-color: #A72D2C;
    color: #fff;
}

@media (max-width: 575.98px) {
    /* Your styles for screens < 576px */
    .infoContainer {
        /* background-color: red; */
        padding-inline: 28px !important;
    }
    .card-title {
        margin-block: 5px !important;
    }
    .all__icons {
        margin-block: 5px !important;
    }
    .pricing {
        font-size: 1.2rem;
        font-weight: 500;
    }
    /* .top-rated-star-ratings .fa-solid{
font-size: 15px  !important;
} */
}

/* For screens 576px and up (sm breakpoint) */
@media (max-width: 576px) {
    /* Your styles for screens ≥ 576px */
    .infoContainer {
        /* background-color: yellow */
        padding-inline: 28px !important;
    }
    .blade-h-box::before {
        left: 11px;
        width: 100%;
    }
    /* .top-rated-star-ratings .fa-solid{
font-size: 15px  !important;
} */
}

/* For screens 768px and up (md breakpoint) */
@media (max-width: 768px) {
    /* Your styles for screens ≥ 768px */
    .infoContainer {
        /* background-color: yellow */
        padding-inline: 28px !important;
        /* background-color: rebeccapurple; */
    }
    .pricing {
        font-size: 1.2rem;
        font-weight: 500;
    }
    .blade-h-box::before {
        left: 11px;
        width: 100%;
    }
}
@media (min-width: 768px) {
    .infoContainer {
        /* background-color: yellow */
        /* padding-inline:px !important; */
        /* background-color: red; */
    }
    .image__container {
        height: 275px;
    }
}
